Subject: [Isis-wg] Sending interface addresses in MT-ISIS

From: "Leela Janaki P - ERS, HCL Tech" <[email-masked]>
Date: Fri, 4 Dec 2009 12:34:48 +0530

Hello,
The RFC5120 has defined a separate TLV( TLV#235,237) for carrying addresses corresponding to each topology with the corresponding MT-ID. It says that this is an extension of the extended IPv4/v6 reachability TLVs defined in an earlier RFC3784. The RFC1195 which defines extensions for ISIS for IP has defined a separate TLV for carrying interface addresses. There is no mention of extensions to this TLV in the MT-ISIS rfc5120. So, will the interface addresses also be carried in the new TLV#235 or in the sub-tlv of the MT IS Reachability TLV ( #222). The  extended IS TLV format used in TLV#222 and defined in rfc3784 says that the ip ( local and remote) address sub-tlv of the interface is optional in non-TE cases. So its not clear where the interface address to MT-ID association is carried.   The interface address may be needed to install a next hop ( ipv4/v6) address in a route. Or can the MAC address of the interface received in the packets from the neighbor on the interface be installed directly in the routing table as nexthop.

Regards
Leela

DISCLAIMER:
-----------------------------------------------------------------------------------------------------------------------

The contents of this e-mail and any attachment(s) are confidential and intended for the named recipient(s) only. 
It shall not attach any liability on the originator or HCL or its affiliates. Any views or opinions presented in 
this email are solely those of the author and may not necessarily reflect the opinions of HCL or its affiliates. 
Any form of reproduction, dissemination, copying, disclosure, modification, distribution and / or publication of 
this message without the prior written consent of the author of this e-mail is strictly prohibited. If you have 
received this email in error please delete it and notify the sender immediately. Before opening any mail and 
attachments please check them for viruses and defect.

-----------------------------------------------------------------------------------------------------------------------

---

From: "Les Ginsberg (ginsberg)" <[email-masked]>
Date: Fri, 4 Dec 2009 01:45:08 -0800

Leela -

Interface addresses are topology independent. There is no need to associate the interface address with a specific topology.

   Les

> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]] On
> Behalf Of Leela Janaki P - ERS, HCL Tech
> Sent: Thursday, December 03, 2009 11:05 PM
> To: [email-masked]; Naiming Shen (naiming); [email-masked]'
> Cc: Vijayanand C - ERS, HCL Tech
> Subject: [Isis-wg] Sending interface addresses in MT-ISIS
> 
> Hello,
> 
> The RFC5120 has defined a separate TLV( TLV#235,237) for carrying
> addresses corresponding to each topology with the corresponding MT-ID.
> It says that this is an extension of the extended IPv4/v6 reachability
> TLVs defined in an earlier RFC3784. The RFC1195 which defines
> extensions for ISIS for IP has defined a separate TLV for carrying
> interface addresses. There is no mention of extensions to this TLV in
> the MT-ISIS rfc5120. So, will the interface addresses also be carried
> in the new TLV#235 or in the sub-tlv of the MT IS Reachability TLV (
> #222). The  extended IS TLV format used in TLV#222 and defined in
> rfc3784 says that the ip ( local and remote) address sub-tlv of the
> interface is optional in non-TE cases. So its not clear where the
> interface address to MT-ID association is carried.   The interface
> address may be needed to install a next hop ( ipv4/v6) address in a
> route. Or can the MAC address of the interface received in the packets
> from the neighbor on the interface be installed directly in the routing
> table as nexthop.
> 
> 
> 
> Regards
> Leela
> 
> DISCLAIMER:
> -----------------------------------------------------------------------
> ------------------------------------------------
> 
> The contents of this e-mail and any attachment(s) are confidential and
> intended for the named recipient(s) only.
> It shall not attach any liability on the originator or HCL or its
> affiliates. Any views or opinions presented in this email are solely
> those of the author and may not necessarily reflect the opinions of HCL
> or its affiliates.
> Any form of reproduction, dissemination, copying, disclosure,
> modification, distribution and / or publication of this message without
> the prior written consent of the author of this e-mail is strictly
> prohibited. If you have received this email in error please delete it
> and notify the sender immediately. Before opening any mail and
> -----------------------------------------------------------------------
> ------------------------------------------------

---

From: Avinash Natarajan <[email-masked]>
Date: Fri, 4 Dec 2009 02:18:20 -0800

Hi
    With MT, the metric style would be wide metric. RFC1195 defines ip reachability tlv for narrow metric. So MT extensions for those TLVs wouldn't be relavant.
    So yes, you can use 235 in lieu of 135 to carry ipv4 prefixes for a specific MT#. (and i think,  to carry ipv4 prefixes for MT0, you can still just use 135 even when MT is configured).

    I don't think the Sub TLVs in extended is reachability tlvs are used in the non-TE context.

-Avinash
________________________________
From: [email-masked] [[email-masked]] On Behalf Of Leela Janaki P - ERS, HCL Tech [[email-masked]]
Sent: Thursday, December 03, 2009 11:04 PM
To: [email-masked]; [email-masked]'; [email-masked]'
Cc: Vijayanand C - ERS, HCL Tech
Subject: [Isis-wg] Sending interface addresses in MT-ISIS

Hello,

Regards
Leela

DISCLAIMER:

---

From: "Les Ginsberg (ginsberg)" <[email-masked]>
Date: Fri, 4 Dec 2009 08:51:46 -0800

Avinash -

> Behalf Of Avinash Natarajan
> Sent: Friday, December 04, 2009 2:18 AM
> To: Leela Janaki P - ERS, HCL Tech; [email-masked]; Naiming Shen
> (naiming); [email-masked]'
> Subject: Re: [Isis-wg] Sending interface addresses in MT-ISIS
> 
> Hi
>     With MT, the metric style would be wide metric. RFC1195 defines ip
> reachability tlv for narrow metric. So MT extensions for those TLVs
> wouldn't be relavant.
>     So yes, you can use 235 in lieu of 135 to carry ipv4 prefixes for
a
> specific MT#. (and i think,  to carry ipv4 prefixes for MT0, you can
> still just use 135 even when MT is configured).

You cannot use TLV #235 (or 237) to advertise MTID #0 as that would not
be recognized by legacy systems. See Section 7.3 in RFC 5120

"MT ID is a 12-bit field containing the non-zero ID of the topology
      being announced.  The TLV MUST be ignored if the ID is zero.  This
      is to ensure the consistent view of the standard unicast
topology."

So you MUST use 135 (or 236 for IPv6) when advertising reachability for
MTID #0.

IP/IPv6 reachability of course is NOT the same has IP/IPv6 interface
address (host address) - which I believe is what Leela's question was
about.

   Les

> From: [email-masked] [[email-masked]] On Behalf Of
> Leela Janaki P - ERS, HCL Tech [[email-masked]]

---

From: Avinash Natarajan <[email-masked]>
Date: Fri, 4 Dec 2009 09:29:21 -0800

Hi Les
    I meant 235 in lieu of 135 to carry ipv4 prefixes for a non-zero MT like MT1. I had specified use of 135 for MT0, but didn't specify it as a MUST, which is an ambiguity from my side.
    If the question was specific to interface addresses and not prefixes, then i guess your initial response to the query holds.
    Thanks.

-Avinash

________________________________________
From: Les Ginsberg (ginsberg) [[email-masked]]
Sent: Friday, December 04, 2009 8:51 AM
To: Avinash Natarajan; Leela Janaki P - ERS, HCL Tech; [email-masked]; Naiming Shen (naiming); [email-masked]
Cc: Vijayanand C - ERS, HCL Tech
Subject: RE: [Isis-wg] Sending interface addresses in MT-ISIS

Avinash -

a

   Les

---

From: Naiming Shen <[email-masked]>
Date: Fri, 04 Dec 2009 11:48:28 -0800

Basically you carry this now in TLV# 235, if that interface is part of
that specific MT(s) in M-ISIS. Since RFC 3784, the concept of an
Interface Address as a prefix for ISIS is removed, and there is no
need to make such an distinction.

thanks.
- Naiming

Leela Janaki P - ERS, HCL Tech said the following on 12/03/09 23:04:
> TLVs defined in an earlier RFC3784. The RFC1195 which defines extensions 
> for ISIS for IP has defined a separate TLV for carrying interface 
> addresses. There is no mention of extensions to this TLV in the MT-ISIS 
> rfc5120. So, will the interface addresses also be carried in the new 
> TLV#235 or in the sub-tlv of the MT IS Reachability TLV ( #222). The 
>  extended IS TLV format used in TLV#222 and defined in rfc3784 says that 
> the ip ( local and remote) address sub-tlv of the interface is optional 
> in non-TE cases. So its not clear where the interface address to MT-ID 
> association is carried.   The interface address may be needed to install 
> a next hop ( ipv4/v6) address in a route. Or can the MAC address of the 
> interface received in the packets from the neighbor on the interface be 
> installed directly in the routing table as nexthop.
> 
>  
> 
> Regards
> Leela
> 
> DISCLAIMER: